package cn.wisenergy.chnmuseum.party.service;

import cn.wisenergy.chnmuseum.party.common.enums.AuditStatusEnum;
import cn.wisenergy.chnmuseum.party.common.enums.AuditTypeEnum;
import cn.wisenergy.chnmuseum.party.model.Audit;
import cn.wisenergy.chnmuseum.party.model.TUser;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 学习内容信息 服务接口
 * </p>
 *
 * @author Danny Lee
 * @since 2021-03-26
 */
public interface AuditService extends IService<Audit> {

    Page<Audit> getUserList(Page<Audit> page, TUser user);

    /**
     * 分页查询
     *
     * @param name
     * @param status
     * @param type
     * @param page
     * @return
     */
    Page<Audit> pageList(String name, AuditStatusEnum status, AuditTypeEnum type, Page<Object> page);
}
